@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}
body{
    background-color: #8BC6EC;
background-image: linear-gradient(135deg, #8BC6EC 0%, #9599E2 100%);

}
.h3 span {
  font-weight: 800 !important;
  background: linear-gradient(125deg, #b663ff, #13c1ef) !important;
  text-transform: uppercase !important;
  -webkit-background-cLip: text !important;
  -webkit-text-filL-coLor: transparent !important;
}

.h3::after {
  content: '';
  /*margin-top: -5px !important;*/
  height: 3px !important;
  width: 100% !important;
  background: linear-gradient(125deg, #b663ff, #13c1ef) !important;
  display: block !important;
}

.main {
  /*display: flex !important;*/
  /*justify-content: center !important;*/
  /*align-items: center !important;*/
   position: absolute;
  left: 50%;
  top: 50%;
  -moz-transform: translate(-50%, -50%); /* Firefox */
  -ms-transform: translate(-50%, -50%);  /* IE 9 */
  -webkit-transform: translate(-50%, -50%); /* Safari and Chrome*/
  -o-transform: translate(-50%, -50%); /* Opera */
  transform: translate(-50%, -50%);
  width: 100%;
}

.card {
  width: 100%;
  position: relative !important; 
  background-color: rgb(16 16 16) !important;
  border: 1px solid rgb(255 255 255 / 5%) !important;
  border-radius: 1.5rem !important;
  padding: 1rem !important;
}

.card:after {
  content: "";
  height: 70px;
  width: 1px;
  position: absolute;
  left: -1px;
  top: 65%;
  transition: top, opacity;
  transition-duration: 600ms;
  transition-timing-function: ease;
  background: linear-gradient(transparent, mediumslateblue,transparent);
  box-shadow: 0 0 30px mediumslateblue;
  opacity: 0;
}

.card:after {
  top: 65%;
  opacity: 0;
}

.card:hover:after {
  top: 25%;
  opacity: 1;
}

.card-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-image: radial-gradient(
    rgba(255, 255, 255, 0.1) 1px, 
    transparent 1px
  );
  background-position: 50% 50%;
  background-size: 1.1rem 1.1rem;
  padding: 2.3rem;
  border-radius: 1.25rem;
  overflow: hidden;
}

.card-content .h1,.h3,.p {
  text-align: center;
}

.card-content .h1 {
  color: rgb(250 249 246);
  font-size: 1rem;
}

.card-content  .h3 {
  color: #fff;
  text-transform: uppercase;
  font-size: 1.5rem;
}

.card-content  .p {
  color: rgb(255 255 255 / 75%);
  line-height: 1.3rem;
}

@media(max-width: 700px) {
  .card {
    width: calc(100% - 2rem);
    margin: 0rem 1rem;
    padding: 0.75rem;
    border-radius: 1rem;
  }
}

@media(max-width: 600px) {
  .card-content {
    padding: 3rem;
  }

  .card-content  .h1 {
    font-size: .8rem;
  }
}

.manin_area{
    margin-top: 25px;
}



.input {
  max-width: 190px;
 
}

.label {
  position: relative;
  display: block;
  width: 280px !important;
  border-radius: 10px;
  border: 2px solid #7a5af8;
  padding: 15px 8px 15px 10px !important;
  text-align: left;
  
}

.shortcut {
  position: absolute;
  top: 50%;
  right: -3%;
  transform: translate(-50%, -50%);
  transition: all 0.3s ease;
  color: #c5c5c5;
  background-color: #5e5757;
  padding: 0em;
  border-radius: 6px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.search_bar {
  background-color: transparent;
  border: none;
  outline: none;
  font-size: 16px;
  color: rgb(111, 115, 119);
   /*color:#13c1ef;*/
}
select{
    /*all:unset;*/
    width:100%;
}


.button {
  --h-button: 48px;
  --w-button: 102px;
  --round: 0.75rem;
  cursor: pointer;
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  transition: all 0.25s ease;
  background: radial-gradient(
      65.28% 65.28% at 50% 100%,
      rgba(223, 113, 255, 0.8) 0%,
      rgba(223, 113, 255, 0) 100%
    ),
    linear-gradient(0deg, #7a5af8, #7a5af8);
  border-radius: var(--round);
  border: none;
  outline: none;
  padding: 12px 18px;
}
.button::before,
.button::after {
  content: "";
  position: absolute;
  inset: var(--space);
  transition: all 0.5s ease-in-out;
  border-radius: calc(var(--round) - var(--space));
  z-index: 0;
}
.button::before {
  --space: 1px;
  background: linear-gradient(
    177.95deg,
    rgba(255, 255, 255, 0.19) 0%,
    rgba(255, 255, 255, 0) 100%
  );
}
.button::after {
  --space: 2px;
  background: radial-gradient(
      65.28% 65.28% at 50% 100%,
      rgba(223, 113, 255, 0.8) 0%,
      rgba(223, 113, 255, 0) 100%
    ),
    linear-gradient(0deg, #7a5af8, #7a5af8);
}
.button:active {
  transform: scale(0.95);
}

.fold {
  z-index: 1;
  position: absolute;
  top: 0;
  right: 0;
  height: 1rem;
  width: 1rem;
  display: inline-block;
  transition: all 0.5s ease-in-out;
  background: radial-gradient(
    100% 75% at 55%,
    rgba(223, 113, 255, 0.8) 0%,
    rgba(223, 113, 255, 0) 100%
  );
  box-shadow: 0 0 3px black;
  border-bottom-left-radius: 0.5rem;
  border-top-right-radius: var(--round);
}
.fold::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 150%;
  height: 150%;
  transform: rotate(45deg) translateX(0%) translateY(-18px);
  background-color: black;
  pointer-events: none;
}
.button:hover .fold {
  margin-top: -1rem;
  margin-right: -1rem;
}

.points_wrapper {
  overflow: hidden;
  width: 100%;
  height: 100%;
  pointer-events: none;
  position: absolute;
  z-index: 1;
}

.points_wrapper .point {
  bottom: -10px;
  position: absolute;
  animation: floating-points infinite ease-in-out;
  pointer-events: none;
  width: 2px;
  height: 2px;
  background-color: #fff;
  border-radius: 9999px;
}
@keyframes floating-points {
  0% {
    transform: translateY(0);
  }
  85% {
    opacity: 0;
  }
  100% {
    transform: translateY(-55px);
    opacity: 0;
  }
}
.points_wrapper .point:nth-child(1) {
  left: 10%;
  opacity: 1;
  animation-duration: 2.35s;
  animation-delay: 0.2s;
}
.points_wrapper .point:nth-child(2) {
  left: 30%;
  opacity: 0.7;
  animation-duration: 2.5s;
  animation-delay: 0.5s;
}
.points_wrapper .point:nth-child(3) {
  left: 25%;
  opacity: 0.8;
  animation-duration: 2.2s;
  animation-delay: 0.1s;
}
.points_wrapper .point:nth-child(4) {
  left: 44%;
  opacity: 0.6;
  animation-duration: 2.05s;
}
.points_wrapper .point:nth-child(5) {
  left: 50%;
  opacity: 1;
  animation-duration: 1.9s;
}
.points_wrapper .point:nth-child(6) {
  left: 75%;
  opacity: 0.5;
  animation-duration: 1.5s;
  animation-delay: 1.5s;
}
.points_wrapper .point:nth-child(7) {
  left: 88%;
  opacity: 0.9;
  animation-duration: 2.2s;
  animation-delay: 0.2s;
}
.points_wrapper .point:nth-child(8) {
  left: 58%;
  opacity: 0.8;
  animation-duration: 2.25s;
  animation-delay: 0.2s;
}
.points_wrapper .point:nth-child(9) {
  left: 98%;
  opacity: 0.6;
  animation-duration: 2.6s;
  animation-delay: 0.1s;
}
.points_wrapper .point:nth-child(10) {
  left: 65%;
  opacity: 1;
  animation-duration: 2.5s;
  animation-delay: 0.2s;
}

.inner {
  z-index: 2;
  gap: 6px;
  position: relative;
  width: 100%;
  color: white;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  transition: color 0.2s ease-in-out;
}

.inner svg.icon {
  width: 18px;
  height: 18px;
  transition: fill 0.1s linear;
}

.button:focus svg.icon {
  fill: white;
}
.button:hover svg.icon {
  fill: transparent;
  animation:
    dasharray 1s linear forwards,
    filled 0.1s linear forwards 0.95s;
}
@keyframes dasharray {
  from {
    stroke-dasharray: 0 0 0 0;
  }
  to {
    stroke-dasharray: 68 68 0 0;
  }
}
@keyframes filled {
  to {
    fill: white;
  }
}

